/* Application_ext.m				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */


#import "Application_ext.h"

@implementation Application(Ext)

- (BOOL)knowsDefaultValue:(const char *)defName
{
	if( [NXApp defaultValue:defName] != NULL ) return YES;
	return NO;
}

- (BOOL)didAutolaunch
{
	if( ( [NXApp defaultBoolValue:"NXAutoLaunch"] == YES ) ||
		( [NXApp defaultBoolValue:"NXServiceLaunch"] == YES ) )
		return YES;

	return NO;
}

@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */